#pragma once

#include "CoreMinimal.h"
#include "BaseAnalyticController.h"
#include "PostGame_SurvivorAnalyticsController.generated.h"

class ADBDPlayer;

USTRUCT(BlueprintType)
struct FPostGame_SurvivorAnalyticsController : public FBaseAnalyticController
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TMap<ADBDPlayer*, int32> _survivorsCanceledGeneratorRepairBeforeRegressionStopped;

public:
	DBDANALYTICS_API FPostGame_SurvivorAnalyticsController();
};

FORCEINLINE uint32 GetTypeHash(const FPostGame_SurvivorAnalyticsController) { return 0; }
